APT::Periodic::Update-Package-Lists not set in cloud images

Bug #870121 reported by Dave Walker on 2011-10-07
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu
Medium
Ben Howard
Precise
Medium
Ben Howard

Bug Description

In Desktop and Server ISO we set APT::Periodic::Update-Package-Lists:
dave@bootie:~$ apt-config shell UpdateInterval APT::Periodic::Update-Package-Lists
UpdateInterval='1'

In the Cloud images, this returns null.

It might be a good idea to compare the other variables to make sure we reflect what we want.

Thanks.

Dave Walker (davewalker) on 2011-10-07
Changed in ubuntu:
assignee: nobody → Ben Howard (utlemming)
milestone: none → ubuntu-11.10
status: New → Confirmed
importance: Undecided → High
tags: added: server-o-rs
tags: added: rls-mgr-tracking
Ben Howard (utlemming) wrote :

I ran two tests to try and find out if this is the cloud images or not. Based on my findings, this is not being caused by the cloud image build process -- it looks like there is something else going on.

Test 1) Built cloud-images through old build system. Confirmed that setting was not set.
Test 2) Built Server from TestDrive ISO image. Confirmed that setting was not set
Test 3) Beta1 install, upgraded. Setting was set.

Ben Howard (utlemming) wrote :

It looks like this just got fixed....cloud-images are breaking now.

Adding 'local diversion of /usr/sbin/flash-kernel to /usr/sbin/flash-kernel.distrib'
P: Configuring file /usr/sbin/policy-rc.d
P: Configuring file /sbin/initctl
P: Configuring file /etc/hosts
P: Configuring file /etc/resolv.conf
P: Configuring file /etc/hostname
P: Configuring file /bin/hostname
P: Configuring file /etc/apt/apt.conf
P: Configuring file /etc/apt/sources.list
E: Invalid operation APT::Periodic::Update-Package-Lists=1
P: Begin unmounting filesystems...

Scott Moser (smoser) wrote :

I do not think this change should be made 3 days before a release with no testing done on it.
I generally believe that the cloud images should function just as the Ubuntu server install, but I simply think this is too late to make a behavior change.

Changed in ubuntu:
importance: High → Medium
milestone: ubuntu-11.10 → ubuntu-12.04
Ben Howard (utlemming) wrote :

Strike Comment #2 as incorrect.

The root cause of this is the ubuntu-meta package provides the "ubuntu-desktop" package. In turn, "ubuntu-desktop" requires "update-notifier-common" which provides /etc/apt/apt.conf.d/10periodic.

The cloud images install the server bits using the "server^" task list. This explains _why_ the bare metal and cloud-images don't get the update setting. Further, it explains why this was not caught when we started using live-builder to generate the cloud-images.

In terms of history the change was introduced between Lucid and Natty. All Natty and Oneiric images are affected. So to confirm smoser's comment's, this has existed for some time.

In my opinion, the fix is to mark update-notifier-common for the "server" task.

--

/etc/apt/apt.conf.d/10periodic:
APT::Periodic::Update-Package-Lists "1";
APT::Periodic::Download-Upgradeable-Packages "0";
APT::Periodic::AutocleanInterval "0";

--
Package: update-notifier-common
Priority: optional
Section: gnome
Installed-Size: 200
Maintainer: Michael Vogt <email address hidden>
Architecture: all
Source: update-notifier
Version: 0.117ubuntu3
Replaces: update-notifier (<< 0.75.1)
Depends: python, python-apt (>= 0.6.12)
Recommends: libpam-modules (>= 1.0.1-9ubuntu3)
Filename: pool/main/u/update-notifier/update-notifier-common_0.117ubuntu3_all.deb
Size: 10798
MD5sum: 0dc6e8e8e80e148fe38320dc79abfcf2
SHA1: c6f128389db27f99181fe61feb376364d17a1f03
SHA256: 76ae809b7cab99d31f2c77ae42291db6942269e3ccc554cbae5b2534a16e2b6d
Description: Files shared between update-notifier and other packages
Description-md5: 9e55b33c0bb042acf203440099a61649
Bugs: https://bugs.launchpad.net/ubuntu/+filebug
Origin: Ubuntu
Supported: 18m
Task: ubuntu-desktop, ubuntu-usb, kubuntu-desktop, kubuntu-mobile-desktop, edubuntu-desktop, edubuntu-desktop-kde, edubuntu-usb, xubuntu-desktop, mythbuntu-backend-master, mythbuntu-backend-master, mythbuntu-backend-slave, mythbuntu-desktop, mythbuntu-frontend, lubuntu-desktop, ubuntustudio-desktop

Scott Moser (smoser) wrote :

Just some final background information.
I've just run EC2 instances of lucid, maverick, natty, oneiric and this is what I see:
$ for x in $(euca-describe-instances | awk '$1 == "INSTANCE" { print $4}'); do
   ssh $x 'echo === $(lsb_release -c) ===; set -x 2>/dev/null;
   apt-config shell UpdateInterval APT::Periodic::Update-Package-Lists';
done
=== Codename: oneiric ===
+ apt-config shell UpdateInterval APT::Periodic::Update-Package-Lists
=== Codename: natty ===
+ apt-config shell UpdateInterval APT::Periodic::Update-Package-Lists
=== Codename: maverick ===
+ apt-config shell UpdateInterval APT::Periodic::Update-Package-Lists
=== Codename: lucid ===
+ apt-config shell UpdateInterval APT::Periodic::Update-Package-Lists
UpdateInterval='1'

So, this arrived in maverick. And, per Daviey, it came when bug 588340 was fixed, meaning byobu no longer depended on 'update-notifier-common'

Sam_ (and-sam) wrote :

Please correct bug number in release notes, it says 8700121 instead of 870121.
Last paragraph in section: Known issues -> Boot, installation, and post-installation

Dave Walker (davewalker) wrote :

Confirming that this is now resolved on the normal server iso, by seeding update-notifier-common.

@Ben, please can you add this to the cloud images soon for maximum exposure.

Thanks.

Ben Howard (utlemming) wrote :

Fix commited for cloud images.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers